I have a MacBook Intel Core 2 Duo, running on a MAC OS X 10.4.11 can i upgrade to use snow leopard?

Back To Product

Follow this Question

1 Answer from the Community

  • Yes but you will need the Mac Box Set option.

    Was this useful? Answer 1

    6 of 12 people found this useful

Related Questions